<?php
require_once('../../../includes/load.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$maquinaria = remove_junk($db->escape($_POST['maquinaria']));
    $implemento = remove_junk($db->escape($_POST['implemento']));
    $servicio = remove_junk($db->escape($_POST['servicio']));
    $operacion = remove_junk($db->escape($_POST['operacion']));
    $produccion = remove_junk($db->escape($_POST['produccion']));
    $horas_ope = remove_junk($db->escape($_POST['horas_ope']));
    $horas_e_ope = remove_junk($db->escape($_POST['horas_e_ope']));
    $despacho_gln = remove_junk($db->escape($_POST['despacho_gln']));
    $h_inicial = remove_junk($db->escape($_POST['h_inicial']));
    $h_final = remove_junk($db->escape($_POST['h_final']));
    $responsable = remove_junk($db->escape($_POST['responsable']));
    $observacion = remove_junk($db->escape($_POST['observacion']));
    $registro=date("Y-m-d");
    $fechaEntera = strtotime($produccion);
    $anio = date("Y", $fechaEntera);
    $mes = date("m", $fechaEntera);
    $semana = date("W", $fechaEntera);

    $consultaId = $db->query("SELECT * FROM operacion WHERE id = $operacion");
 
    $query ="INSERT INTO produccionmi(FechaRegistroUsuario, FechaRegistroProduccionMI, HorasProduccion, HorometroInicial, HorometroFinal, ObsProduccionMI, IdTipoServicioMI, IdActivo, IdOperacion, IdResponsableActivo, AnioProduccionMI, MesProduccionMI, IdImplemento, DespachoMI, HorasExtrasMI, SemanaMI, OperadorMI) VALUES ('$registro','$produccion','$horas_ope','$h_inicial','$h_final','$observacion','$servicio','$maquinaria','$operacion','$responsable','$anio','$mes','$implemento','$despacho_gln','$horas_e_ope','$semana','')";
    
    if ($db->num_rows($consultaId) == 0) {
        echo "no existe";
    }
    else{
        if ($db->query($query)) {
            echo 'success';
        } else {
            echo 'fail';
        }
    }
    
} 



